Package org.eclipse.mat.parser.io

# Class BitInputStream

java.lang.Object
org.eclipse.mat.parser.io.BitInputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class BitInputStream extends Object implements Flushable, Closeable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`BitInputStream(InputStream is)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`int`
`readBit()`
`int`
`readInt(int len)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### BitInputStream

public BitInputStream(InputStream is)

## Method Details

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

### readBit

public int readBit() throws IOException

Throws:
  `IOException`

### readInt

public int readInt(int len) throws IOException

Throws:
  `IOException`